Package com.collibra.dgc.core.api.dto.assignment

# Class CharacteristicTypeAssignmentReference.Builder

Object
Builder

Enclosing class:
  `CharacteristicTypeAssignmentReference`

public static final class CharacteristicTypeAssignmentReference.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected UUID`
  `id`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CharacteristicTypeAssignmentReference.Builder`
  `aCharacteristicTypeAssignmentReference()`
  Deprecated.
  This method will be removed in the future.
  `CharacteristicTypeAssignmentReference`
  `build()`
  `CharacteristicTypeAssignmentReference.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `CharacteristicTypeAssignmentReference.Builder`
  `id(UUID id)`
  `CharacteristicTypeAssignmentReference.Builder`
  `max(Integer max)`
  The maximum allowed, unlimited when null.
  `CharacteristicTypeAssignmentReference.Builder`
  `min(int min)`
  The minimum allowed.
  `CharacteristicTypeAssignmentReference.Builder`
  `readOnly(boolean readOnly)`
  When set to true, the value of the assigned Characteristic Type cannot be edited by the user.
  `CharacteristicTypeAssignmentReference.Builder`
  `relationTypeDirection(RelationTypeDirection relationTypeDirection)`
  The relation type direction, if the referenced resource is a relation type; otherwise null.
  `CharacteristicTypeAssignmentReference.Builder`
  `relationTypeRestriction(UUID relationTypeRestriction)`
  The relation type restriction of the target asset type, if the referenced resource is a relation type; otherwise null.
  `CharacteristicTypeAssignmentReference.Builder`
  `resourceDiscriminator(String resourceDiscriminator)`
  Either this field, or the resourceType is required. The resource discriminator.
  `String`
  `toString()`
  `CharacteristicTypeAssignmentReference.Builder`
  `type(ResourceType resourceType)`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    @Deprecated protected UUID id
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### aCharacteristicTypeAssignmentReference

    @Deprecated public static CharacteristicTypeAssignmentReference.Builder aCharacteristicTypeAssignmentReference()
    Deprecated.
    This method will be removed in the future. Use `CharacteristicTypeAssignmentReference.builder()` instead.
    Create a new Builder.

  - ### id

    public CharacteristicTypeAssignmentReference.Builder id(UUID id)

  - ### type

    @Deprecated(since="2025.01", forRemoval=true) public CharacteristicTypeAssignmentReference.Builder type(ResourceType resourceType)
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### but

    @Deprecated public CharacteristicTypeAssignmentReference.Builder but()
    Deprecated.
    This method will be removed in the future. Use `CharacteristicTypeAssignmentReference.builder()` instead.
    Clone method for this Builder.

  - ### min

    public CharacteristicTypeAssignmentReference.Builder min(int min)
    The minimum allowed.
    Returns:
      `this`.

  - ### max

    public CharacteristicTypeAssignmentReference.Builder max(Integer max)
    The maximum allowed, unlimited when null.
    Returns:
      `this`.

  - ### readOnly

    public CharacteristicTypeAssignmentReference.Builder readOnly(boolean readOnly)
    When set to true, the value of the assigned Characteristic Type cannot be edited by the user. Only applicable to AttributeType assignment lines.
    Returns:
      `this`.

  - ### resourceDiscriminator

    public CharacteristicTypeAssignmentReference.Builder resourceDiscriminator(String resourceDiscriminator)
    Either this field, or the resourceType is required. The resource discriminator. Possible values: 'AttributeType', 'RelationType', 'DerivedRelationType' and 'ComplexRelationType'.
    Returns:
      `this`.

  - ### relationTypeDirection

    public CharacteristicTypeAssignmentReference.Builder relationTypeDirection(RelationTypeDirection relationTypeDirection)
    The relation type direction, if the referenced resource is a relation type; otherwise null.
    Returns:
      `this`.

  - ### relationTypeRestriction

    public CharacteristicTypeAssignmentReference.Builder relationTypeRestriction(UUID relationTypeRestriction)
    The relation type restriction of the target asset type, if the referenced resource is a relation type; otherwise null. When specified, it effectively replaces the source asset type of the relation when relationTypeDirection = TO_SOURCE or the target asset type of the relation when relationTypeDirection = TO_TARGET. You can specify the relation type restriction only when relationTypeDirection is not null. If specified, it must be an ID of a subtype of the source or target asset type, depending on the value of relationTypeDirection.
    Returns:
      `this`.

  - ### build

    public CharacteristicTypeAssignmentReference build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`